window.Gleam.initSearch([{"doc":"wemote","title":"wemote","content":"# wemote\n\n[![Package Version](https://img.shields.io/hexpm/v/wemote)](https://hex.pm/packages/wemote)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/wemote/)\n\n```sh\ngleam add wemote\n```\n```gleam\nimport wemote\n\npub fn main() {\n  let remote_node = //get some remote node\n\n  wemote.call(remote_node, fn() {1 + 2}, wemote.Infinity)\n  // Ok(3)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/wemote&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"wemote","title":"Error","content":"pub type Error {\n  Threw(thrown: Dynamic)\n  Exception(exit_reason: Dynamic)\n  Exited(exit_reason: Dynamic)\n  RuntimeError(reason: Dynamic, stack_trace: Dynamic)\n  RpcError(RpcError)\n  Other(Dynamic)\n}\n\nThrew(thrown: Dynamic)\n The supplied function called throw(x), and x is returned here.\n\nException(exit_reason: Dynamic)\n The supplied function called exit(x), and this returns the exit reason.\n\nExited(exit_reason: Dynamic)\n The process running the function was terminated,\n and the exit reason is returned here.\n\nRuntimeError(reason: Dynamic, stack_trace: Dynamic)\n The supplied function contains a runtime error.\n\nRpcError(RpcError)\n The rpc backend encountered an error.\n\nOther(Dynamic)\n Some other unknown error occurred.\n Feel free to panic on this, it shouldn&#39;t\n ever happen. Included just in case.\n\nSynonyms:\nwemote.Error\nwemote Error","url":"wemote.html#Error"},{"doc":"wemote","title":"RpcError","content":"pub type RpcError {\n  Badarg\n  Noconnection\n  SystemLimit\n  Timeout\n  Notsup\n}\n\nBadarg\n This will never happen, but is included for completeness,\n in case we add functionality in future that can return this.\n\nNoconnection\n This is returned if the current node cannot establish a\n connection to the remote node.\n\nSystemLimit\n This is returned if there is some sort of limit on the other end,\n most commonly a failure to start a process.\n\nTimeout\n The operation timed out. The function may or may not be applied\n\nNotsup\n The remote node does not support erpc\n\nSynonyms:\nwemote.RpcError\nwemote RpcError","url":"wemote.html#RpcError"},{"doc":"wemote","title":"Timeout","content":"pub type Timeout {\n  Infinity\n  Milliseconds(Int)\n}\n\nInfinity\n\n\nMilliseconds(Int)\n\n\nSynonyms:\nwemote.Timeout\nwemote Timeout","url":"wemote.html#Timeout"},{"doc":"wemote","title":"call","content":"pub fn call(\n  node: Node,\n  fun: fn() -&gt; a,\n  timeout: Timeout,\n) -&gt; Result(a, Error)\n\nSynonyms:\nwemote.call\nwemote call","url":"wemote.html#call"},{"doc":"wemote","title":"wemote","content":"","url":"wemote.html"}]);